summaryrefslogtreecommitdiff
path: root/db-repo-remove
diff options
context:
space:
mode:
authorJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-04-16 00:44:41 -0500
committerJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-04-16 00:44:41 -0500
commit7203e2e2631e29a79f4ea822c371d4e12c9c1a88 (patch)
treef0ada9061babb0f656afa90e438bba0f0f781241 /db-repo-remove
parentdeab65fad4ced009fb31f7033b1db8ef0af78aee (diff)
parent229a9c504cbd733c93cf91399dc54bedf5160cc5 (diff)
Merge branch 'master' of ~/packages/dbscripts into pruebalukeshu/2011-dbscripts-repo-maintainer-merge
Conflicts: .gitignore db-functions
Diffstat (limited to 'db-repo-remove')
-rwxr-xr-xdb-repo-remove36
1 files changed, 36 insertions, 0 deletions
diff --git a/db-repo-remove b/db-repo-remove
new file mode 100755
index 0000000..b01910f
--- /dev/null
+++ b/db-repo-remove
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. "$(dirname $0)/db-functions"
+. "$(dirname $0)/config"
+
+if [ $# -ne 3 ]; then
+ msg "usage: $(basename $0) <pkgname> <repo> <arch>"
+ exit 1
+fi
+
+pkgname="$1"
+repo="$2"
+arch="$3"
+
+ftppath="$FTP_BASE/$repo/os"
+
+if ! check_repo_permission $repo; then
+ die "You don't have permission to remove packages from ${repo}"
+fi
+
+if [ "$arch" == "any" ]; then
+ tarches=(${ARCHES[@]})
+else
+ tarches=("$arch")
+fi
+
+for tarch in ${tarches[@]}; do
+ repo_lock $repo $tarch || exit 1
+done
+
+msg "Removing $pkgname from [$repo]..."
+
+for tarch in ${tarches[@]}; do
+ arch_repo_remove "${repo}" "${tarch}" ${pkgname}
+ repo_unlock $repo $tarch
+done